<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseConfig..::.DoChecksum Field
DatabaseConfig Class See Also Send Feedback

If true, do checksum verification of pages read into the cache from the backing filestore.

Namespace: BerkeleyDB
Assembly: libdb_dotnet50 (in libdb_dotnet50.dll) Version: 5.0.21.0

# Syntax

C#

    public bool DoChecksum

Visual Basic (Declaration)

    Public DoChecksum As Boolean

Visual C++

    public:
    bool DoChecksum

# Remarks

Berkeley DB uses the SHA1 Secure Hash Algorithm if encryption is configured and a general hash algorithm if it is not.

If the database already exists, this setting will be ignored.

# See Also

DatabaseConfig Class
BerkeleyDB Namespace